package schedulerTriage.bThreads;

import static bp.eventSets.EventSetConstants.*;
import schedulerTriage.events.Schedule;
import bp.BProgram;
import bp.BThread;
import bp.exceptions.BPJException;

@SuppressWarnings("serial")
public class Printer extends BThread 
{
	public void runBThread() throws BPJException, InterruptedException 
	{	
		while ( true )
		{
			BProgram.bp.bSync( none, all, none );
			
			Schedule lastScheduling = (Schedule)BProgram.bp.lastEvent;
			
			System.out.println( "Serving: ( " + lastScheduling.requestedIndex + ", " + lastScheduling.ticksTillDeadline + " )" );
			
			Thread.sleep( 500 );
		}
	}
}