package schedulerTriage.externalApp;

import schedulerTriage.bThreads.Idle;
import schedulerTriage.bThreads.Printer;
import schedulerTriage.bThreads.Process;
import bApplication.BApplication;
import bp.BProgram;

public class SchedulerTriage implements BApplication {
	
	static public void main(String arg[]) {
		try {

			BProgram.startBApplication(SchedulerTriage.class, "schedulerTriage");

		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public void runBApplication() 
	{
		BProgram.bp.add( new Idle( 1 ), 1.0 ); 
		
		BProgram.bp.add( new Process( 2, 5, 2 ), 1.1 );
		BProgram.bp.add( new Process( 3, 3, 1 ), 1.2 );
		
		BProgram.bp.add( new Printer(), 10.0 );
		
		BProgram.bp.startAll();
	}
}
