package schedulerTriage.bThreads;

import schedulerTriage.events.Schedule;
import bp.eventSets.RequestableEventSet;

public class AllFurtherDeadlines extends RequestableEventSet
{
	private static final long serialVersionUID = 1L;

	public int ourDeadline;
	
	AllFurtherDeadlines( int ourDeadline )
	{
		this.ourDeadline = ourDeadline;   
	}
	
	@Override
	public boolean contains(Object o) 
	{
		if ( o.getClass() == Schedule.class )
		{
			Schedule schedule = (Schedule)o;
			return ( schedule.ticksTillDeadline > ourDeadline );
		}
		else
		{
			return super.contains( o );
		}
	}
}
