package schedulerTriage.bThreads;

import static bp.eventSets.EventSetConstants.*;
import schedulerTriage.events.Schedule;
import bp.BProgram;
import bp.BThread;
import bp.exceptions.BPJException;

@SuppressWarnings("serial")
public class Idle extends BThread {
	
	public int index;
	
	public Idle( int index )
	{
		this.index = index;
	}
	
	public void runBThread() throws BPJException 
	{	
		while ( true )
		{
			BProgram.bp.bSync( new Schedule( index, 10000 ), none, none );
		}
	}
}